<?xml version="1.0" encoding="utf-8" standalone="no"?>
<application xmlns="http://ns.adobe.com/air/application/51.2">
    <id>com.distriqt.test</id>
    <filename>TestFacebookLogin</filename>
    <name>TestFacebookLogin</name>
    <versionNumber>0.0.1</versionNumber>

    <initialWindow>
        <content>[This value will be overwritten by Flash Builder in the output app.xml]</content>
        <autoOrients>true</autoOrients>
        <fullScreen>false</fullScreen>
        <visible>true</visible>
        <renderMode>direct</renderMode>
    </initialWindow>

    <icon>
        <image16x16>icons/icon16x16.png</image16x16>
        <image29x29>icons/icon29x29.png</image29x29>
        <image32x32>icons/icon32x32.png</image32x32>
        <image36x36>icons/icon36x36.png</image36x36>
        <image48x48>icons/icon48x48.png</image48x48>
        <image57x57>icons/icon57x57.png</image57x57>
        <image72x72>icons/icon72x72.png</image72x72>
        <image76x76>icons/icon76x76.png</image76x76>
        <image114x114>icons/icon114x114.png</image114x114>
        <image120x120>icons/icon120x120.png</image120x120>
        <image128x128>icons/icon128x128.png</image128x128>
        <image152x152>icons/icon152x152.png</image152x152>
        <image512x512>icons/icon512x512.png</image512x512>
    </icon>

    <iPhone>
        <InfoAdditions><![CDATA[
            <key>UIDeviceFamily</key>
            <array>
                <string>1</string>
                <string>2</string>
            </array>

            <key>CFBundleURLTypes</key>
            <array>
                <dict>
                    <key>CFBundleURLSchemes</key>
                    <array>
                        <string>fbAAAAAAAAABBBBBBBBB</string>
                    </array>
                </dict>
            </array>


            <key>FacebookAppID</key>
            <string>AAAAAAAAABBBBBBBBB</string>
            <key>FacebookClientToken</key>
            <string>XXXXXXXXXXXXXXXXXXXXXXXXXXXXX</string>
            <key>FacebookDisplayName</key>
            <string>distriqt test application</string>


            <key>LSApplicationQueriesSchemes</key>
            <array>
                <string>fb</string>
                <string>fbapi</string>
                <string>fbapi20130214</string>
                <string>fbapi20130410</string>
                <string>fbapi20130702</string>
                <string>fbapi20131010</string>
                <string>fbapi20131219</string>
                <string>fbapi20140410</string>
                <string>fbapi20140116</string>
                <string>fbapi20150313</string>
                <string>fbapi20150629</string>
                <string>fbapi20160328</string>
                <string>fbauth</string>
                <string>fb-messenger-share-api</string>
                <string>fbauth2</string>
                <string>fbshareextension</string>
            </array>

            <key>FacebookAutoLogAppEventsEnabled</key>
            <false/>
            <key>FacebookAdvertiserIDCollectionEnabled</key>
            <false/>








            <key>NSAppTransportSecurity</key>
            <dict>
                <key>NSExceptionDomains</key>
                <dict>
                    <key>facebook.com</key>
                    <dict>
                        <key>NSIncludesSubdomains</key>
                        <true/>
                        <key>NSThirdPartyExceptionRequiresForwardSecrecy</key>
                        <false/>
                    </dict>
                    <key>fbcdn.net</key>
                    <dict>
                        <key>NSIncludesSubdomains</key>
                        <true/>
                        <key>NSThirdPartyExceptionRequiresForwardSecrecy</key>
                        <false/>
                    </dict>
                    <key>akamaihd.net</key>
                    <dict>
                        <key>NSIncludesSubdomains</key>
                        <true/>
                        <key>NSThirdPartyExceptionRequiresForwardSecrecy</key>
                        <false/>
                    </dict>
                </dict>
            </dict>



            <key>NSPhotoLibraryUsageDescription</key>
            <string>Access to photo library is required to save images and videos.</string>
            <key>NSPhotoLibraryAddUsageDescription</key>
            <string>Access to photo library is required to save images and videos.</string>


        ]]></InfoAdditions>
        <requestedDisplayResolution>high</requestedDisplayResolution>
        <Entitlements>
            <![CDATA[
                <key>keychain-access-groups</key>
                <array>
                    <string>BUNDLE_SEED_ID.*</string>
                </array>
            ]]>
        </Entitlements>
    </iPhone>

    <android>
        <manifestAdditions><![CDATA[
            <manifest android:installLocation="auto" >
                <uses-sdk android:minSdkVersion="19" android:targetSdkVersion="35" />
                <uses-permission android:name="android.permission.INTERNET"/>

                <uses-permission android:name="com.google.android.gms.permission.AD_ID" />
                <uses-permission android:name="com.google.android.finsky.permission.BIND_GET_INSTALL_REFERRER_SERVICE" />

                <queries>
                    <provider android:authorities="com.facebook.katana.provider.PlatformProvider" /> <!-- allows app to access Facebook app features -->
                    <provider android:authorities="com.facebook.orca.provider.PlatformProvider" /> <!-- allows sharing to Messenger app -->
                    <package android:name="com.facebook.katana" />
                </queries>

                <application
                    android:appComponentFactory="androidx.core.app.CoreComponentFactory"
                    android:hardwareAccelerated="true">

                    <meta-data android:name="com.facebook.sdk.ApplicationId" android:value="\u003FACEBOOK_APP_ID"/>
                    <meta-data android:name="com.facebook.sdk.ClientToken" android:value="\u003FACEBOOK_CLIENT_TOKEN"/>

                    <meta-data android:name="com.facebook.sdk.AutoInitEnabled" android:value="false"/>
                    <meta-data android:name="com.facebook.sdk.AutoLogAppEventsEnabled" android:value="false"/>
                    <meta-data android:name="com.facebook.sdk.AdvertiserIDCollectionEnabled" android:value="false"/>

                   <activity
                        android:name="com.facebook.FacebookActivity"
                        android:configChanges="keyboard|keyboardHidden|screenLayout|screenSize|orientation"
                        android:theme="@style/com_facebook_activity_theme"
                        android:exported="false" />
                    <activity android:name="com.facebook.CustomTabMainActivity" android:exported="false" />
                    <activity
                        android:name="com.facebook.CustomTabActivity"
                        android:exported="true" >
                        <intent-filter>
                            <action android:name="android.intent.action.VIEW" />

                            <category android:name="android.intent.category.DEFAULT" />
                            <category android:name="android.intent.category.BROWSABLE" />

                            <data
                                android:host="cct.air.com.distriqt.test"
                                android:scheme="fbconnect" />
                        </intent-filter>
                    </activity>
                    <!--
                     The initialization ContentProvider will call FacebookSdk.sdkInitialize automatically
                     with the application context. This config is merged in with the host app's manifest,
                     but there can only be one provider with the same authority activated at any given
                     point; so if the end user has two or more different apps that use Facebook SDK, only the
                     first one will be able to use the provider. To work around this problem, we use the
                     following placeholder in the authority to identify each host application as if it was
                     a completely different provider.
                    -->
                    <provider
                        android:name="com.facebook.internal.FacebookInitProvider"
                        android:authorities="air.com.distriqt.test.FacebookInitProvider"
                        android:exported="false" />

                    <receiver
                        android:name="com.facebook.CurrentAccessTokenExpirationBroadcastReceiver"
                        android:exported="false" >
                        <intent-filter>
                            <action android:name="com.facebook.sdk.ACTION_CURRENT_ACCESS_TOKEN_CHANGED" />
                        </intent-filter>
                    </receiver>
                    <receiver
                        android:name="com.facebook.AuthenticationTokenManager$CurrentAuthenticationTokenChangedBroadcastReceiver"
                        android:exported="false" >
                        <intent-filter>
                            <action android:name="com.facebook.sdk.ACTION_CURRENT_AUTHENTICATION_TOKEN_CHANGED" />
                        </intent-filter>
                    </receiver>

                </application>

            </manifest>
        ]]></manifestAdditions>
    </android>

    <extensions>
        <extensionID>com.distriqt.Core</extensionID>
        <extensionID>com.distriqt.facebook.Core</extensionID>
        <extensionID>com.distriqt.facebook.Login</extensionID>

        <extensionID>androidx.appcompat</extensionID>
        <extensionID>androidx.browser</extensionID>
        <extensionID>androidx.cardview</extensionID>
        <extensionID>androidx.core</extensionID>
        <extensionID>androidx.emoji2</extensionID>
        <extensionID>androidx.vectordrawable</extensionID>
        <extensionID>com.android.installreferrer</extensionID>
        <extensionID>com.jetbrains.kotlin</extensionID>
    </extensions>

</application>
